JasPer 4.2.9 |

Loading...
Searching...
No Matches
jas_getopt.h File Reference

Command Line Option Parsing Code. More...

`#include <jasper/jas_config.h>`

Go to the source code of this file.

## Classes
struct | jas_opt_t
| Command line option type. More...

## Macros
#define | JAS_GETOPT_EOF (-1)
#define | JAS_GETOPT_ERR '?'
#define | JAS_OPT_HASARG 0x01 /* option has argument */

## Functions
JAS_EXPORT int | jas_getopt (int argc, char **argv, const jas_opt_t *opts)
| Get the next option.

## Variables
JAS_EXPORT int | jas_optind
| The current option index.
JAS_EXPORT const char * | jas_optarg
| The current option argument.
JAS_EXPORT int | jas_opterr
| The debug level.

## Detailed Description

Command Line Option Parsing Code.